//+------------------------------------------------------------------+
//|                                                    EasyTrade.mq4 |
//|                                          Copyright 2015, semtiko |
//|                            https://www.mql5.com/ru/users/semtiko |
//+------------------------------------------------------------------+
#property version   "1.05"
#property copyright "semtiko"
#property link      "https://www.mql5.com/ru/users/semtiko"
//---
#property strict
//---
#include "EasyTradePanel.mqh" // Include main functions
//---
int xPos=0,yPos=0; // Panel position
int panelWidth=330,panelHeight=155; // Panel size
//---
CPanelDialog dialog; // Main window
//+------------------------------------------------------------------+
//| Initialization                                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
   if(dialog.Create(ChartID(),"EasyTrade",0,xPos,yPos,xPos+panelWidth,yPos+panelHeight))
     {
      dialog.Run();
      dialog.update();
      //---
      return INIT_SUCCEEDED;
        } else {
      Print("Can't init EasyTrade. Error code: "+(string) GetLastError());
      return INIT_FAILED;
     }
  }
//+------------------------------------------------------------------+
//| Deinitialization                                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
   dialog.Destroy(reason);
  }
//+------------------------------------------------------------------+
//| Main update                                                      |
//+------------------------------------------------------------------+
void OnTick()
  {
   dialog.update();
  }
//+------------------------------------------------------------------+
//| Events listener                                                  |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,const long &lparam,const double &dparam,const string &sparam)
  {
   dialog.ChartEvent(id,lparam,dparam,sparam);
  }
//+------------------------------------------------------------------+
